=== debian/changelog ===
spotify-annoy (1.0.0) unstable; urgency=low

  * Initial release.

 -- Erik Bernhardsson <erikbern@spotify.com>  Wed, 20 Feb 2013 00:00:00 +0000
